> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign phone number to trust profiles



## OpenAPI

````yaml post /agency/twilio/assign-to-trust-profiles
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /agency/twilio/assign-to-trust-profiles:
    post:
      tags:
        - Twilio
      summary: Assign phone number to trust profiles
      operationId: TwilioController_assignPhoneNumberToTrustProfiles
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssignPhoneNumberToTrustProfileDto'
      responses:
        '200':
          description: Phone number successfully assigned to trust profiles
          content:
            application/json:
              schema:
                type: object
                properties:
                  businessProfile:
                    type: object
                    nullable: true
                  shakenStir:
                    type: object
                    nullable: true
                  voiceIntegrity:
                    type: object
                    nullable: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                        error:
                          type: string
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      security:
        - apiKey: []
components:
  schemas:
    AssignPhoneNumberToTrustProfileDto:
      type: object
      properties:
        phoneNumberSid:
          type: string
          description: Phone number SID
        businessProfileSid:
          type: string
          description: Business profile SID
        shakenStirTrustProductSid:
          type: string
          description: SHAKEN/STIR trust product SID
        voiceIntegrityTrustProductSid:
          type: string
          description: Voice Integrity trust product SID
      required:
        - phoneNumberSid
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````